/** @file MOMConnectionInfo.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMConnectionInfo_h
#define MOMConnectionInfo_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>

extern "C" {
#include "layers.h"
#include "cdf/mom_device_api.h"
}

namespace WebCore {

class MOMConnectionInfo : public RefCounted<MOMConnectionInfo> {
public:

    static PassRefPtr<MOMConnectionInfo> create(const MDAConnectionInfo& info);

    int provisionedBandwidth() const;
    int channelBandwidth() const;
    int totalBandwidth() const;

protected:
    MOMConnectionInfo(const MDAConnectionInfo& info);

private:
    MDAConnectionInfo m_info;
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMConnectionInfo_h
